"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../records/ad.record");
const defaultObj = {
    id: 'cośtsam',
    name: 'Test Name',
    description: 'blah',
    url: 'https://megak.pl',
    price: 1,
    lat: 9,
    lon: 9,
};
test('can build AdRecord', () => {
    const ad = new ad_record_1.AdRecord(defaultObj);
    expect(ad.name).toBe('Test Name');
    expect(ad.description).toBe('blah');
});
test("Validates invalid price", () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, defaultObj), { price: -3 }))).toThrow('Cena musi mieścić się w zakresie 0 - 999999');
});
//# sourceMappingURL=ad.record.test.js.map