import { AdRecord } from "../records/ad.record";


test('AdRecord returns data from database for one entry', async() => {

    const ad = await AdRecord.getOne('cośtam');

    expect(ad).toBeDefined();
    expect(ad.id).toBe('cośtam');
    expect(ad.name).toBe('Test Name');

});

test('AdRecord returns null from database for unexisting record', async() => {

    const ad = await AdRecord.getOne('---');

    expect(ad).toBeNull();


});